package com.danitheskunk.skunkworks.nodes;

import com.danitheskunk.skunkworks.gfx.IRenderContext;
import com.danitheskunk.skunkworks.gfx.ITexture;

public class NodeSprite extends Node {
	//todo: support animations
	private ITexture texture;

	public NodeSprite() {
		texture = null;
	}

	public ITexture getTexture() {
		return texture;
	}

	@Override
	public void render(IRenderContext rc) {
		rc.drawTexture(getAbsolutePos().toVec2i(), texture);
	}

	public void setTexture(ITexture texture) {
		this.texture = texture;
	}
}
